// import Lato bold 700 weight
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@700&display=swap');
@import '../../../styles/mixins.scss';

$md-breakpoint-material: 959px; 
$drawer-width: 300px;
$app-bar-height: 75px;
$beneficent-logo-height: 175px;

$side-nav-item-height: 50px;
$side-nav-padding-left: 30px;
$side-nav-item-space: 10px;

.homepage-container {
  .app-bar-and-content {
    margin-left: $drawer-width;
    @media screen and (max-width: $md-breakpoint-material) {
      margin-left: 0;
    }

    .app-bar {
      height: $app-bar-height;
      background-color: white;
    }

    .main-content {
      padding-left: 20px;
      padding-right: 20px;
      padding-top: 50px;
      padding-top: calc(50px + #{$app-bar-height});
    }

    .account-settings-title {
      font-family: 'Lato', sans-serif;
    }

    .user-button {
      border-radius: 50px;
      text-transform: none;
      justify-content: space-evenly;
      width: 200px;
    }
  }
}

a {
  text-decoration: none;
}

.user-menu {
  margin-top: 20px;
  padding-left: 10px;
  padding-right: 10px;
  display: flex;
  flex-direction: column;
  .user-menu-content {
    height: 80px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
}

.sidenav-drawer {
  width: $drawer-width;
}

.home-logo-box {
  height: $beneficent-logo-height;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.home-beneficent-logo {
  height: 55px;
  filter:
    sepia(100%)
    saturate(0)
    brightness(0%)
    contrast(150%);
}

.side-nav-item {
  margin-bottom: $side-nav-item-space !important;
  padding-left: $side-nav-padding-left !important;
  height: $side-nav-item-height;
}
